Skip to main content
GET
/
offers
/
get-offers
/
v1
List your organization's orderbook offers
curl --request GET \
  --url https://api.collectpure.com/offers/get-offers/v1 \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "price": 123,
      "quantity": 123,
      "active": true,
      "type": "<string>",
      "premiumPercent": 123,
      "premiumDollar": 123,
      "spotPremium": 123,
      "spotPremiumDollar": 123,
      "buyerNotes": "<string>",
      "expiresAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "product": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "sku": "<string>",
        "material": "<string>"
      },
      "variant": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>"
      }
    }
  ],
  "total": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

active
enum<string>

Filter by active status

Available options:
true,
false
productId
string<uuid>

Filter by product ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
limit
integer
default:20

Maximum number of offers to return (default 20, max 100)

Required range: 1 <= x <= 100
offset
integer
default:0

Number of offers to skip (for pagination)

Required range: 0 <= x <= 9007199254740991

Response

200 - application/json

Default Response

data
object[]
required
total
number
required